use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ICode;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "code")]
pub(crate) struct RenderCode {}

impl RenderCode {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        comment: &ICode,
    ) -> Result<RenderCode, CustomError> {
        Ok(RenderCode {})
    }
}
