use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IInlineSourceBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "inline_source_block")]
pub(crate) struct RenderInlineSourceBlock {
    value: String,
}

impl RenderInlineSourceBlock {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &IInlineSourceBlock,
    ) -> Result<RenderInlineSourceBlock, CustomError> {
        Ok(RenderInlineSourceBlock {
            value: original.value.clone(),
        })
    }
}
