use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ISrcBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "src_block")]
pub(crate) struct RenderSrcBlock {
    lines: Vec<String>,
}

impl RenderSrcBlock {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        original: &ISrcBlock,
    ) -> Result<RenderSrcBlock, CustomError> {
        Ok(RenderSrcBlock {
            lines: original.lines.clone(),
        })
    }
}
