use super::macros::intermediate;
use super::registry::Registry;
use super::IObject;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IParagraph {
    pub(crate) children: Vec<IObject>,
}

intermediate!(IParagraph, Paragraph, original, registry, {
    let children = {
        let mut ret = Vec::new();
        for obj in original.children.iter() {
            ret.push(IObject::new(registry.clone(), obj).await?);
        }
        ret
    };

    Ok(IParagraph { children })
});
